package cn.superdesk.uniorder.dubbo.consumer.organisation;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.organisation.SysCliqueXInvoice;
import cn.superdesk.uniorder.dto.param.organisation.SysCliqueXInvoiceParam;
import cn.superdesk.uniorder.dubbo.facade.organisation.DubboSysCliqueXInvoiceService;
import com.alibaba.dubbo.config.annotation.Reference;
import com.github.pagehelper.PageInfo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2021-05-13 19:10:28
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-05-13 19:10:28
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Slf4j
@Component
public class SysCliqueXInvoiceDubboConsumerService {

	@Reference(version = "1.0.0", timeout = 10000, retries = -1)
	private DubboSysCliqueXInvoiceService dubboSysCliqueXInvoiceService;


	/****************************************** extends BaseService 部分 start ******************************************/

	public void addObj(SysCliqueXInvoiceParam param) {

		dubboSysCliqueXInvoiceService.addObj(param);

	}

	public void updateObj(SysCliqueXInvoiceParam param) {

		dubboSysCliqueXInvoiceService.updateObj(param);
	}

	public void deleteObj(Long id) {

		dubboSysCliqueXInvoiceService.deleteObj(id);
	}

	public SysCliqueXInvoice findById(Long id) {

		return dubboSysCliqueXInvoiceService.findById(id);
	}

	public PageInfo<SysCliqueXInvoice> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize) {

		return dubboSysCliqueXInvoiceService.findByPaging(conditions, pageNun, pageSize);
	}

	public List<SysCliqueXInvoice> findAll(Map<String, Object> queryMap) {

		return dubboSysCliqueXInvoiceService.findAll(queryMap);
	}

	/****************************************** extends BaseService 部分   end ******************************************/


	public void addSysCliqueXInvoice(SysCliqueXInvoiceParam param) {

		dubboSysCliqueXInvoiceService.addSysCliqueXInvoice(param);
	}


	public void updateSysCliqueXInvoice(SysCliqueXInvoiceParam param) {

		dubboSysCliqueXInvoiceService.updateSysCliqueXInvoice(param);
	}


	public void deleteSysCliqueXInvoice(Long id) {
		dubboSysCliqueXInvoiceService.deleteSysCliqueXInvoice(id);
	}


	public SysCliqueXInvoice findSysCliqueXInvoiceById(Long id) {

		return dubboSysCliqueXInvoiceService.findSysCliqueXInvoiceById(id);
	}


	public R<List<SysCliqueXInvoice>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize) {

		return dubboSysCliqueXInvoiceService.pageQuery(conditions, pageNun, pageSize);
	}
}
